﻿using Microsoft.UI.Xaml;
using Microsoft.UI.Xaml.Controls;
using System;
using System.IO;
using WinUIEx;

// To learn more about WinUI, the WinUI project structure,
// and more about our project templates, see: http://aka.ms/winui-project-info.

namespace wakka
{
    public partial class App : Application
    {
        public Window m_window;
        
        public readonly static Windows.Storage.ApplicationDataContainer LocalSettingsData =
            Windows.Storage.ApplicationData.Current.LocalSettings;
        
        public readonly static Windows.Storage.StorageFolder LocalStroageData =
            Windows.Storage.ApplicationData.Current.LocalFolder;

        public App()
        {
            this.InitializeComponent();
        }

        protected override void OnLaunched(LaunchActivatedEventArgs args)
        {
            m_window = new MainWindow();
            m_window.SetWindowSize(width: 800, height: 600);
            m_window.CenterOnScreen();
            m_window.Activate();
        }
    }
}
